QB_RB_OPEN(3)

NAME
qb_rb_open - Create the ring buffer with the given type.

SYNOPSIS
#include <qb/qbrb.h>

qb_ringbuffer_t * qb_rb_open(
    const char   *name,                   /* the unique name of this ringbuffer. */
    size_t        size,                   /* the requested size. */
    uint32_t      flags,                  /* or'ed flags */
    size_t        shared_user_data_size   /* size for a shared data area. */
);

PARAMS
name the unique name of this ringbuffer.

size the requested size.

flags or'ed flags

shared_user_data_size size for a shared data area.

DESCRIPTION

This creates allocates a ring buffer in shared memory.

RETURN VALUE

a new ring buffer or NULL if there was a problem.

NOTE

the actual size will be rounded up to the next page size.

SEE ALSO

qb_rb_close(3), qb_rb_refcount_get(3), qb_rb_chmod(3), qb_rb_chown(3), qb_rb_write_to_file(3), qb_rb_create_from_file(3), qb_rb_chunks_used(3), qb_rb_chunk_reclaim(3), qb_rb_space_used(3), qb_rb_chunk_write(3), qb_rb_shared_user_data_get(3), qb_rb_chunk_commit(3), qb_rb_chunk_peek(3), qb_rb_space_free(3), qb_rb_name_get(3), qb_rb_chunk_alloc(3), qb_rb_chunk_read(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.